<?php

class Sms {

	public function send( $api_username, $api_password, $message, $number, $originator ) {

		$number = preg_replace( '/\D/', '', $number );
		$number = substr( $number, - 10 );

		if ( ! $api_username || ! $api_password || ! $originator ) {
			return false;
		}

		$data['msgBaslik'] = $originator;

		$data['user'] = [ 'name' => $api_username, 'pass' => $api_password ];

		$data['msgData'][] = [
			'tel' => $number,
			'msg' => $message
		];

		$data = "data=" . base64_encode( json_encode( $data ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$response = json_decode( base64_decode( $result ), true );

	}

	public function sendBulk( $api_username, $api_password, $message, $number, $originator ) {

		if ( ! $api_username || ! $api_password || ! $originator ) {
			return false;
		}

		$data['msgBaslik'] = $originator;

		$data['user'] = [ 'name' => $api_username, 'pass' => $api_password ];

		$data['msgData'][] = [
			'tel' => $number,
			'msg' => $message
		];

		$data = "data=" . base64_encode( json_encode( $data ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$response = json_decode( base64_decode( $result ), true );

	}

	public function getBalance( $api_username, $api_password ) {
		$balance = '';

		if ( $baslikli = $this->getOriginatedBalance( $api_username, $api_password ) ) {
			$balance .= ' Başlıklı Kredi: ' . $baslikli;
		}

		if ( $numerik = $this->getNumericBalance( $api_username, $api_password ) ) {
			$balance .= ' Numerik Kredi: ' . $numerik;
		}

		return $balance;
	}

	private function getOriginatedBalance( $api_username, $api_password ) {
		$data = "data=" . base64_encode( json_encode( [ 'user' => [ 'name' => $api_username, 'pass' => $api_password ] ] ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/login' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$userInfo = json_decode( base64_decode( $result ), true );

		if ( $userInfo['status'] ) {
			return $userInfo['userData']['orjinli']; # baslikli kredi
		}

		return false;
	}

	private function getNumericBalance( $api_username, $api_password ) {
		$data = "data=" . base64_encode( json_encode( [ 'user' => [ 'name' => $api_username, 'pass' => $api_password ] ] ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/login' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$userInfo = json_decode( base64_decode( $result ), true );

		if ( $userInfo['status'] ) {
			return $userInfo['userData']['sistem_kredi']; # numerik kredi
		}

		return false;
	}

	public function getDomain( $api_username, $api_password ) {
		$domain = $_SERVER['HTTP_HOST'];

		$data = "data=" . base64_encode( json_encode( [
				'user' => [ 'name' => $api_username, 'pass' => $api_password ],
				'site' => $domain
			] ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/userDomains/isActiveUserDomain' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$siteInfo = json_decode( base64_decode( $result ), true );

		if ( ! $siteInfo['siteInfo'] ) {
			return false;
		}

		return true;
	}

	public function setDomain( $api_username, $api_password ) {
		$domain = $_SERVER['HTTP_HOST'];

		$data = "data=" . base64_encode( json_encode( [
				'user' => [ 'name' => $api_username, 'pass' => $api_password ],
				'site' => $domain
			] ) );

		$ch = curl_init();
		curl_setopt( $ch, CURLOPT_URL, 'http://api.smsvitrini.com/json_api/userDomains/addUserDomain' );
		curl_setopt( $ch, CURLOPT_POST, 1 );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 2 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch, CURLOPT_HEADER, 0 );
		curl_setopt( $ch, CURLOPT_TIMEOUT, 120 );

		$result = curl_exec( $ch );
		$siteInfo = json_decode( base64_decode( $result ), true );

		if ( ! $siteInfo['siteID'] ) {
			return false;
		}

		return true;
	}

}

?>